PKIPublicationInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.crmf

## Class PKIPublicationInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.crmf.PKIPublicationInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PKIPublicationInfo
      extends ASN1Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Integer` | `getAction()`
    `static PKIPublicationInfo` | `getInstance(java.lang.Object o)`
    `SinglePubInfo[]` | `getPubInfos()`
    `ASN1Primitive` | `toASN1Primitive()` PKIPublicationInfo ::= SEQUENCE { action INTEGER { dontPublish (0), pleasePublish (1) }, pubInfos SEQUENCE SIZE (1..MAX) OF SinglePubInfo OPTIONAL } -- pubInfos MUST NOT be present if action is "dontPublish" -- (if action is "pleasePublish" and pubInfos is omitted, -- "dontCare" is assumed)

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PKIPublicationInfo getInstance(java.lang.Object o)

    - #### getAction

          public ASN1Integer getAction()

    - #### getPubInfos

          public SinglePubInfo[] getPubInfos()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           PKIPublicationInfo ::= SEQUENCE {
                            action     INTEGER {
                                           dontPublish (0),
                                           pleasePublish (1) },
                            pubInfos  SEQUENCE SIZE (1..MAX) OF SinglePubInfo OPTIONAL }
           -- pubInfos MUST NOT be present if action is "dontPublish"
           -- (if action is "pleasePublish" and pubInfos is omitted,
           -- "dontCare" is assumed)

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.